## xbmc 13.2+dfsg1

=== xbmc/test/Makefile ===
SRCS=	\
	TestBasicEnvironment.cpp \
	TestFileItem.cpp \
	TestTextureUtils.cpp \
	TestURL.cpp \
	TestUtils.cpp \
	xbmc-test.cpp

LIB=xbmc-test.a

INCLUDES += -I../../lib/gtest/include

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== lib/asap/csharp/Makefile ===
CSC = csc -nologo -o+ -out:$@
PP = cpp -P -I..

all: asap2wav.exe

include ../players/Makefile

asap2wav.exe: asap2wav.cs ASAP.cs $(PLAYERS_OBX)
	$(CSC) $(foreach plr,$(PLAYERS),-res:../players/$(plr).obx,$(plr).obx) asap2wav.cs ASAP.cs

ASAP.cs: ASAP.ppcs ../asap.c ../acpu.c ../apokeysnd.c ../asap.h ../asap_internal.h ../anylang.h
	$(PP) ASAP.ppcs > $@

clean:
	rm -f asap2wav.exe ASAP.cs ../players/*.obx

.DELETE_ON_ERROR:

=== xbmc/interfaces/json-rpc/Makefile ===
SRCS=AddonsOperations.cpp \
     ApplicationOperations.cpp \
     AudioLibrary.cpp \
     FavouritesOperations.cpp \
     FileItemHandler.cpp \
     FileOperations.cpp \
     GUIOperations.cpp \
     InputOperations.cpp \
     JSONRPC.cpp \
     JSONServiceDescription.cpp \
     PlayerOperations.cpp \
     PlaylistOperations.cpp \
     ProfilesOperations.cpp \
     PVROperations.cpp \
     SettingsOperations.cpp \
     SystemOperations.cpp \
     TextureOperations.cpp \
     VideoLibrary.cpp \
     XBMCOperations.cpp \

LIB=json-rpc.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/music/tags/Makefile ===
SRCS=\
     MusicInfoTag.cpp \
     MusicInfoTagLoaderASAP.cpp \
     MusicInfoTagLoaderCDDA.cpp \
     MusicInfoTagLoaderDatabase.cpp \
     MusicInfoTagLoaderFactory.cpp \
     MusicInfoTagLoaderMidi.cpp \
     MusicInfoTagLoaderNSF.cpp \
     MusicInfoTagLoaderShn.cpp \
     MusicInfoTagLoaderSPC.cpp \
     MusicInfoTagLoaderYM.cpp \
     TagLoaderTagLib.cpp \
     TagLibVFSStream.cpp \

LIB=musictags.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/settings/dialogs/Makefile ===
SRCS=GUIDialogContentSettings.cpp \
     GUIDialogSettings.cpp \

LIB=settings_dialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/storage/linux/Makefile ===
SRCS  = DeviceKitDisksProvider.cpp
SRCS += UDisksProvider.cpp
SRCS += HALProvider.cpp
SRCS += UDevProvider.cpp
     
LIB = storage_linux.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/utils/test/Makefile ===
SRCS=	\
	TestAlarmClock.cpp \
	TestAliasShortcutUtils.cpp \
	TestArchive.cpp \
	TestAsyncFileCopy.cpp \
	TestBase64.cpp \
	TestBitstreamStats.cpp \
	TestCharsetConverter.cpp \
	TestCPUInfo.cpp \
	TestCrc32.cpp \
	TestCryptThreading.cpp \
	TestDatabaseUtils.cpp \
	TestEndianSwap.cpp \
	Testfastmemcpy.cpp \
	Testfft.cpp \
	TestFileOperationJob.cpp \
	TestFileUtils.cpp \
	Testfstrcmp.cpp \
	TestGlobalsHandling.cpp \
	TestHTMLTable.cpp \
	TestHTMLUtil.cpp \
	TestHttpHeader.cpp \
	TestHttpParser.cpp \
	TestHttpResponse.cpp \
	TestJobManager.cpp \
	TestJSONVariantParser.cpp \
	TestJSONVariantWriter.cpp \
	TestLabelFormatter.cpp \
	TestLangCodeExpander.cpp \
	Testlog.cpp \
	TestMathUtils.cpp \
	Testmd5.cpp \
	TestMime.cpp \
	TestPerformanceSample.cpp \
	TestPOUtils.cpp \
	TestRegExp.cpp \
	TestRingBuffer.cpp \
	TestScraperParser.cpp \
	TestScraperUrl.cpp \
	TestSortUtils.cpp \
	TestStdString.cpp \
	TestStopwatch.cpp \
	TestStreamDetails.cpp \
	TestStreamUtils.cpp \
	TestStringUtils.cpp \
	TestSystemInfo.cpp \
	TestTimeSmoother.cpp \
	TestTimeUtils.cpp \
	TestURIUtils.cpp \
	TestUrlOptions.cpp \
	TestVariant.cpp \
	TestXBMCTinyXML.cpp \
	TestXMLUtils.cpp

LIB=utilsTest.a

INCLUDES += -I../../../lib/gtest/include

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/depends/native/cmake-native/Makefile ===
include ../../Makefile.include
PLATFORM=$(NATIVEPLATFORM)
DEPS= ../../Makefile.include.in Makefile

APPNAME=cmake
VERSION=2.8.12
SOURCE=$(APPNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings

SETENV=CC=$(CC_FOR_BUILD) CXX=$(CXX_FOR_BUILD) LD=$(LD_FOR_BUILD) CFLAGS=$(NATIVE_CFLAGS) \
	CXXFLAGS=$(NATIVE_CXXFLAGS) LDFLAGS=$(NATIVE_LDFLAGS)
CONFIGURE=./bootstrap --prefix=$(NATIVEPREFIX)

APP=$(PLATFORM)/bin/$(APPNAME)

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(SETENV) $(CONFIGURE)

$(APP): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)
	touch $@

.installed-$(PLATFORM): $(APP)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/xz-native/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS= ../../Makefile.include.in Makefile

# app name, version
APPNAME=xz
VERSION=5.0.5
SOURCE=$(APPNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.bz2

export LIBTOOL=builds/unix/libtool
export PATH:=$(PREFIX)/bin:$(PATH)
CONFIGURE=./configure --prefix=$(PREFIX)

APP=$(SOURCE)/src/xz/xz

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)
	touch $@

$(APP): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(APP)
	$(MAKE) -C $(PLATFORM) install

clean:
	$(MAKE) -C $(PLATFORM) clean

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/afpfs-ng/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include 01-gcrypt.patch 02-pointer.patch 04-boxee1.patch \
      05-boxee2.patch 06-boxee3.patch 07-boxee4.patch \
      08-boxee5.patch 10-fix-errno.patch 11-fix-stat.patch \
      android.patch fix_afpfs-ng_includes.patch Makefile

# lib name, version
LIBNAME=afpfs-ng
VERSION=0.8.1
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.bz2

# configuration settings
export LIBS+=$(LINK_ICONV)

CONFIGURE=./configure --prefix=$(PREFIX) \
  --disable-fuse

LIBDYLIB=$(PLATFORM)/lib/.libs/libafpclient.a

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 <../fix_afpfs-ng_includes.patch
	cd $(PLATFORM); patch -p1 <../01-gcrypt.patch
	cd $(PLATFORM); patch -p1 <../02-pointer.patch
	cd $(PLATFORM); patch -p1 <../04-boxee1.patch
	cd $(PLATFORM); patch -p1 <../05-boxee2.patch	
	cd $(PLATFORM); patch -p1 <../06-boxee3.patch
	cd $(PLATFORM); patch -p1 <../07-boxee4.patch
	cd $(PLATFORM); patch -p1 <../08-boxee5.patch
	cd $(PLATFORM); patch -p1 <../10-fix-errno.patch
	cd $(PLATFORM); patch -p1 <../11-fix-stat.patch
	cd $(PLATFORM); patch -p0 < ../android.patch
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -j 1 -C $(PLATFORM)/lib

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM)/lib install
	$(MAKE) -C $(PLATFORM)/include install
ifeq ($(OS),android)
	rm -f $(PREFIX)/lib/libafpclient.la $(PREFIX)/lib/libafpclient.so $(PREFIX)/lib/libafpclient.so.0
	mv -f $(PREFIX)/lib/libafpclient.so.0.0.0 $(PREFIX)/lib/libafpclient.so
	$(RPL) -e "libafpclient.so.0" "libafpclient.so\x00\x00" $(PREFIX)/lib/libafpclient.so
	-$(READELF) --dynamic $(PREFIX)/lib/libafpclient.so | grep ibrary
endif
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/target/libamplayer/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile

all: .installed-$(PLATFORM)

.patched-$(PLATFORM): $(DEPS)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	cp -rf libamplayer $(PLATFORM)/
	cd $(PLATFORM); patch -p1 < ../android-4.0-to-4.1.patch
	cd $(PLATFORM); patch -p1 < ../android-4.1-to-4.2.patch
	touch $@

.installed-$(PLATFORM): .patched-$(PLATFORM)
	mkdir -p $(PREFIX)/include/amcodec
	cp -rf $(PLATFORM)/libamplayer/include/amcodec/* $(PREFIX)/include/amcodec/
	mkdir -p $(PREFIX)/include/amplayer
	cp -rf $(PLATFORM)/libamplayer/include/amplayer/* $(PREFIX)/include/amplayer/
	touch $@

clean:
	rm -f .installed-$(PLATFORM)
	rm -f .patched-$(PLATFORM)

distclean:: clean
	rm -rf $(PLATFORM)

=== tools/depends/target/libass/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile

# lib name, version
LIBNAME=libass
VERSION=0.10.1
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --disable-enca

LIBDYLIB=$(PLATFORM)/$(LIBNAME)/.libs/$(LIBNAME).a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
ifeq ($(OS),android)
	rm -f $(PREFIX)/lib/libass.la $(PREFIX)/lib/libass.so $(PREFIX)/lib/libass.so.4
	mv -f $(PREFIX)/lib/libass.so.4.1.0 $(PREFIX)/lib/libass.so
	$(RPL) -e "libass.so.4" "libass.so\x00\x00" $(PREFIX)/lib/libass.so
	-$(READELF) --dynamic $(PREFIX)/lib/libass.so | grep ibrary
endif
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== debian/changelog ===
xbmc (2:13.2+dfsg1-4) unstable; urgency=medium

  * Version check is now removed from source, no need to remove it during the build
  * Fix suspend/hibernate with upower >= 0.99.1 (Closes: #767161)
  * Fix random failure in playing video using VDPAU (Closes: #742896)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Nov 2014 23:52:10 +0100

xbmc (2:13.2+dfsg1-3) unstable; urgency=medium

  [ Balint Reczey ]
  * Use VDPAU in Libav hacks only when VDPAU support is enabled.
    Fixes FTBFS on arches without VDPAU. (Closes: #766190)
  * Ship xbmc-dbg package only on amd64 and i386 architectures.
    This saves place on mirrors and those two architectures are the most
    popular ones among bug submitters.
  * Use OpenGL and Bellagio OpenMAX Integration Layer on MIPS
  * Patch upstream to support MIPS
  * Refresh patches after adding MIPS support
  * Enable using SDL in configure
  * Use X11 and SDL on MIPS
  * Let configure fail on unknown architectures

  [ Andreas Cadhalpun ]
  * Fix FTBFS with packaged FFmpeg (Closes: #766680)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 08 Oct 2014 15:17:35 +0200

xbmc (2:13.2+dfsg1-2) unstable; urgency=medium

  * Provide debug symbols in a separate package (Closes: #763627)
  * Always pass --enable-debug to configure to generate debug symbols
  * Fix XBMC's VDPAU API usage with patch from Libav
    (Closes: #750199, #742896, #745060, #750603)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 06 Oct 2014 22:42:34 +0200

xbmc (2:13.2+dfsg1-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * Ship systemd .services file (Closes: #751667)

  [ Balint Reczey ]
  * XBMC 13.2 Gotham
    - release notes: http://xbmc.org/xbmc-13-2-gotham-final-release
  * Refresh patches
  * libcwiid-dev is present only on Linux
  * Fall back to old location of DejaVuSans.ttf if needed.
    This helps backporting.
  * Fall back to old location of libhdhomerun includes if needed
  * Ship xbmc.service file as an example only
  * Really exclude version check addon from source tarball
  * Don't download RSS feed from XBMC.org by default
  * Remove obsolete files related to Windows build from source tarball

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 25 Sep 2014 10:36:54 +0200

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9~),
 dh-python,
 cmake,
 autopoint,
 autotools-dev,
 autoconf,
 automake,
 dh-autoreconf,
 unzip,
 libboost-dev,
 zip,
 libtool,
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libftgl-dev,
 libglew-dev,
 libmad0-dev,
 libjpeg-dev,
 libsamplerate-dev,
 libogg-dev,
 libvorbis-dev,
 libfreetype6-dev,
 libfontconfig-dev,
 libbz2-dev,
 libfribidi-dev,
 libsqlite3-dev,
 libmysqlclient-dev,
 libasound2-dev | libasound-dev,
 libpng12-dev | libpng-dev,
 libpcre3-dev,
 liblzo2-dev,
 libcdio-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libenca-dev,
 libjasper-dev,
 libxt-dev,
 libxmu-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libpulse-dev,
 libavahi-common-dev,
 libavahi-client-dev,
 libxrandr-dev,
 libmpeg2-4-dev,
 libass-dev (>= 0.9.8),
 libflac-dev,
 python-dev (>= 2.6.6-3~),
 gawk,
 gperf,
 nasm [i386],
 yasm,
 libcwiid-dev [linux-any],
 libbluetooth-dev,
 zlib1g-dev,
 libsmbclient-dev,
 libiso9660-dev,
 libssl-dev,
 libvdpau-dev [!armel !armhf !mipsel !mips],
 libmicrohttpd-dev,
 libmodplug-dev,
 librtmp-dev,
 libcrystalhd-dev [i386 amd64],
 curl,
 libyajl-dev,
 libboost-thread-dev,
 libomxil-bellagio-dev [armel armhf mipsel mips],
 python-imaging,
 libplist-dev,
 libcec-dev (>= 2),
 libudev-dev,
 udev,
 libshairport-dev,
 libnfs-dev,
 libltdl-dev,
 libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libxslt1-dev,
 libmp3lame-dev,
 libssh-dev,
 libtag1-dev (>= 1.8),
 swig,
 default-jre,
 libbluray-dev,
 libva-dev [!armel !armhf !mipsel !mips],
 libavcodec-dev (>= 6:10~),
 libavfilter-dev,
 libavformat-dev,
 libavresample-dev,
 libavutil-dev,
 libpostproc-dev,
 libswscale-dev,
 gimp,
 groovy,
 libcommons-lang-java,
 doxygen,
 libcap-dev,
 libsidplay2-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libhdhomerun-dev,
 fontforge,
 fonts-dejavu-core,
 fonts-droid,
 ttf-bitstream-vera
Standards-Version: 3.9.5
Homepage: http://xbmc.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/xbmc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xbmc.git

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
         xbmc-bin (<< ${source:Version}.1~),
         mesa-utils,
         x11-utils,
         fonts-dejavu-core | ttf-dejavu-core,
         fonts-roboto,
         libjs-jquery,
         libjs-iscroll,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common, libgl1-mesa-swx11
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-dbg
Priority: extra
Architecture: amd64 i386
Section: debug
Depends: ${misc:Depends}, xbmc-bin (= ${binary:Version})
Description: XBMC Media Center - debug symbols
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains debug symbols for the XBMC binary packages.


Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: any
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
else
  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
endif

GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD = -lvdpau

# Enable gles for armel, armhf
# Also disable VDPAU and VAAPI there since they break the build with gles
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
else
# Enable OpenGL but no VDPAU or VAAPI for MIPS
ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
endif
endif

ARCH_SPECIFIC_LIB_RECOMMENDS += $(ARCH_SPECIFIC_LIB_RECOMMENDS_ADD)

# Various environment variables to set
DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS))
DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS))
DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) $(shell pkg-config --libs ftgl)
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
  LDFLAGS="$(DEB_LDFLAGS)"

# fall back to old location of libhdhomerun includes if needed
ifneq ("$(wildcard /usr/lib/libhdhomerun/hdhomerun.h)","")
  DEB_CXXFLAGS += -I/usr/lib/
endif

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  --enable-debug \
  $(GL_CONFIG_OPTIONS) \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --enable-sdl \
  --enable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --disable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-afpclient \
  --enable-airtunes \
  --enable-external-libraries \
  --enable-libav-compat \
  --disable-dependency-tracking \
  --disable-dvdcss \
  --disable-non-free \
  --disable-gtest \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Used to show what config options are enabled
show-xbmc-config-options:
	$(info $(XBMC_CONFIG_OPTIONS))

%:
	dh $@ --with autoreconf --with python2 --parallel

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

# Use package's version in XBMC
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)/\1/p')

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

override_dh_auto_configure: configure
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/GUIInfoManager.cpp
	mkdir -p xbmc/visualizations/XBMCProjectM/libprojectM/fonts
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/VeraMono.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	fontforge -script $(CURDIR)/debian/mergefonts.ff \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$(CURDIR)/media/Fonts/arial.ttf
	./bootstrap
	./configure $(XBMC_CONFIG_OPTIONS)
	# Add Debian related notes to XBMC's original logo
	mkdir -p $(CURDIR)/debian/tmp/home/user
	HOME=$(CURDIR)/debian/tmp/home/user gimp -i -b '(load "debian/xcf2png.scm") (xcf2png "debian/xbmc-logo.xcf" "addons/skin.confluence/media/xbmc-logo.png") (gimp-quit 0)'

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD
	mkdir -p $(CURDIR)/debian/tmp/usr/include/xbmc
	sed 's|../library.xbmc.addon/|xbmc/|' addons/library.xbmc.gui/libXBMC_gui.h > \
		$(CURDIR)/debian/tmp/usr/include/xbmc/libXBMC_gui.h
	sed 's|../library.xbmc.addon/|xbmc/|' addons/library.xbmc.pvr/libXBMC_pvr.h > \
		$(CURDIR)/debian/tmp/usr/include/xbmc/libXBMC_pvr.h

override_dh_install:
	dh_install -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt \
		-XRoboto-Bold.ttf -XRoboto-Regular.ttf -XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs
	# OTOH we need to remove exec flag after dh_strip
	chmod -x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/visualization.*/*.vis
	-chmod -x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/screensaver.rsxs.*/*.xbs

override_dh_shlibdeps: debian/tmp/xbmc-bin-depends-dummy.so debian/tmp/xbmc-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/xbmc-bin-depends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-recommends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/xbmc-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lcec \
		-lFLAC \
		-lhdhomerun \
		-lmad \
		-lmodplug \
		-lmp3lame \
		-lmpeg2 \
		-lnfs \
		-logg \
		-lplist \
		-lrtmp \
		-lshairport \
		-lvorbis \
		-lvorbisenc \
		-lvorbisfile \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_strip:
	dh_strip --dbg-package=xbmc-dbg

override_dh_installinit:
	echo "Shipping systemd xbmc.service file as an example only"

# Get original XBMC source and cut not needed bits.
# Based on https://github.com/xbmc/xbmc-packaging/blob/master/xbmc-get-orig-source
ORIG_SRC_DIR := debian/tmp-src-dir
UPSTREAM_VER ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9]:)?([0-9.]+)(\+dfsg\d+)?.*$$/\2/p')
DFSG_VER = $(UPSTREAM_VER)+dfsg1

get-orig-source:
	mkdir -p $(ORIG_SRC_DIR)
	wget -O $(ORIG_SRC_DIR)/xbmc-orig.tar.gz http://mirrors.xbmc.org/releases/source/xbmc-$(UPSTREAM_VER).tar.gz
	tar -C $(ORIG_SRC_DIR) -xf $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	rm $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	# Remove non-free components
	find $(ORIG_SRC_DIR)/* -depth \( -iname '*dvdcss*' -o -iname '*unrar*' \) -exec rm -rf "{}" \;
	# Remove components not needed for Linux
	rm -rf $(ORIG_SRC_DIR)/*/lib/afpfs-ng \
		$(ORIG_SRC_DIR)/*/lib/enca \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jasper \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jbig \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jpeg \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/mng \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/png \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/tiff \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/zlib \
		$(ORIG_SRC_DIR)/*/lib/freetype \
		$(ORIG_SRC_DIR)/*/lib/gtest \
		$(ORIG_SRC_DIR)/*/lib/libUPnP/Neptune/ThirdParty/zlib-1.2.3 \
		$(ORIG_SRC_DIR)/*/lib/libass \
		$(ORIG_SRC_DIR)/*/lib/libbluray \
		$(ORIG_SRC_DIR)/*/lib/libcec \
		$(ORIG_SRC_DIR)/*/lib/libhdhomerun \
